include ../../config.mak

ifeq ($(BUILD_STATIC), yes)
  LDFLAGS += -static
endif

CFLAGS +=-O2 

fla: 
	$(CC) $(CFLAGS) fla.c -o fla $(LDFLAGS)

.PHONY: install
install:
ifdef BIN_DIR
	install -m 0755 fla $(BIN_DIR)
endif

.PHONY: uninstall
uninstall:
ifdef BIN_DIR
	rm $(BIN_DIR)/fla
endif

clean: 
	rm fla || true
